de.esprit.appsuite.gui.list

## Class ListDataAndSelectionAdapter

- java.lang.Object
- - de.esprit.appsuite.gui.list.ListDataAdapter
  - - de.esprit.appsuite.gui.list.ListDataAndSelectionAdapter

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.ListDataListener, javax.swing.event.ListSelectionListener

      public abstract class ListDataAndSelectionAdapter
      extends ListDataAdapter
      implements javax.swing.event.ListSelectionListener

  This adapter registers for `ListDataEvent`s and `ListSelectionEvent`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDataAndSelectionAdapter(javax.swing.JList list)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deregister()`
    `protected abstract void` | `listSelectionChanged(javax.swing.event.ListSelectionEvent e)`
    `void` | `valueChanged(javax.swing.event.ListSelectionEvent e)`

    - ### Methods inherited from class de.esprit.appsuite.gui.list.ListDataAdapter

      `contentsChanged, getListModel, intervalAdded, intervalRemoved, listDataChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDataAndSelectionAdapter

          public ListDataAndSelectionAdapter(javax.swing.JList list)

  - ### Method Detail

    - #### valueChanged

          public final void valueChanged(javax.swing.event.ListSelectionEvent e)

      Specified by:
        `valueChanged` in interface `javax.swing.event.ListSelectionListener`

    - #### listSelectionChanged

          protected abstract void listSelectionChanged(javax.swing.event.ListSelectionEvent e)

    - #### deregister

          public void deregister()

      Overrides:
        `deregister` in class `ListDataAdapter`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.